#include <stdio.h>
#include <doslibm.h>
#include "defines.h"
#include "amacro.h"

int DelAll(unchar *cutdir,unchar *mes,unchar *wild)
/* 指定ディレクトリ下の全ファイルを削除する */
{
struct FILBUF fb;
int ret,ret2=0;
unchar path[MAXPATH],file[MAXPATH];
	/* まずディレクトリそのものがあるかどうかを調べる */
	ret=FILES(&fb,cutdir,FA_DIREC);
	if (ret<0) return(1);
	/* ディレクトリがある場合にはその下のファイルを全削除する */
	if (mes!=NULL) prints(mes);
	dir_name(path,cutdir,wild);
	ret=FILES(&fb,path,FA_ARCH);
	while (!ret) {
		dir_name(file,cutdir,fb.name);
		if (unlink(file)==-1) {ret2=2; break;}
		ret=NFILES(&fb);
	}
	if (mes!=NULL) crlf();
	return(ret2);
}

#if 0
main()
{
	DelAll("test","全ファイル削除","*.*");
}
#endif
